import { Meta, Story, Canvas, ArgsTable } from '@storybook/addon-docs/blocks';
import { text } from '@storybook/addon-knobs';

import IconButton, { IconButtonBase } from './IconButton';

<Meta title="Design/General/Button/IconButton" component={IconButton} />

# Icon Button

<ArgsTable of={IconButtonBase} />

<Canvas>
    <Story name="example">
        <div style={{ background: '#1E213A', padding: '10rem' }} >
            <IconButton
            label={text('label', '°F')}
            />
        </div>
    </Story>
</Canvas>
